title: "Sample Acceptance"
type: "object"

properties:
  sample_id:
    $ref: '../../../ids.json#/definitions/SampleId'
  acceptance:
    type: string
    title: Acceptance
    enum:
      - ACCEPTED
      - BLOOD_IS_CLOTTED
      - SAMPLE_LEAK
      - SAMPLE_NOT_LABELED
      - TUBE_BROKEN
      - INSUFFICIENT_VOLUME
      - SALIVA_BUCCAL_FROZEN
      - TUBE_EXPIRED
      - ORDER_CANCELLED

required:
  - sample_id
  - acceptance

additionalProperties: false
